<?php 

$SiteUsers = & singleton('SiteUsers');
$current_site_user = $SiteUsers->GetCurrentSiteUser();

// Если пользователь не авторизован
if ($current_site_user == 0)
{
	// Редирект на авторизацию
	header('Location: /users/');
	exit();
}

$kernel = & singleton('kernel');

$shop = & singleton('shop');

$property = array();

/* Количество объявлений на страницу на страницу */
$advertisement_on_page = to_int($GLOBALS['LA']['AdvertisementOnPage']);

/* Текстовая информация для указания номера страницы, например "страница" */
if (isset($GLOBALS['LA']['page']))
{
	$property['page'] = to_str($GLOBALS['LA']['page']);
}
else
{
	$property['page'] = 'страница';
}

/* Разделитель в заголовке страницы */
if (isset($GLOBALS['LA']['separator']))
{
	$property['separator'] = to_str($GLOBALS['LA']['separator']);
}
else
{
	$property['separator'] = ' / ';
}

$GLOBALS['ShopResult'] = array();

$url_array = array();

// Определяем, выводится cписок магазинов или список объявлений 
foreach ($GLOBALS['URL_ARRAY'] as $key => $url)
{
	if (!ereg("^page-([0-9]*)$", $url, $regs))
	{
		$url_array[] = $url;
	}
	
	if (ereg ("^shop_([0-9]*)", $url, $regs) && to_int($regs[1]) > 0)
	{
		$shop_id = to_int($regs[1]);		
	}
}

$GLOBALS['ShopResult']['url'] = implode('/', $url_array);

// Выводится список объявлений магазина
if (isset($shop_id) && $shop_id)
{	
	$GLOBALS['ShopResult']['shop_id'] = $shop_id;

	// Определяем номер страницы для показа
	$end_array_item = end($GLOBALS['URL_ARRAY']);
	$page = to_str($end_array_item);
	
	if (ereg ("^page-([0-9]*)$", $page, $regs) && to_int($regs[1]) > 0)
	{
		// Страница умножается на кол-во элементов, выводимых на страницу 
		$advertisement_begin = ($regs[1] - 1) * to_int($advertisement_on_page);
		$current_page = to_int($regs[1]);
	}
	else
	{
		$advertisement_begin = 0;
		$current_page = 0;
	}	

	// Массив, возвращаемый методом 
	$GLOBALS['ShopResult']['item_begin'] = $advertisement_begin;
	$GLOBALS['ShopResult']['item_on_page'] = $advertisement_on_page;
	$GLOBALS['ShopResult']['current_page'] = $current_page;
}
// Выводится список магазинов сайта
else
{
}
?>